package com.mycroftmind.samples.win.asynctest;


import com.mycroftmind.samples.win.asynctest.model.SampleEntity;
import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;



/**
 * The provider of persistence capabilities for SampleEntity instances.
 *
 * @author win
 */
@Stateless
@LocalBean
public class AsyncTestWriteBean {

    /**
     * The persistence context.
     */
    @PersistenceContext
    private EntityManager em;

    /**
     * Persists given instance of SampleEntity.
     *
     * @param entity the instance to be persisted
     */
    public void persist(final SampleEntity entity) {
        this.em.persist(entity);
    }

}
